<?php $primax_options = get_option('primax'); ?>
<?php

if ( post_password_required() ) {
	return;
}
?>
<div class="clear"></div>
<div id="comments">


<?php if ( have_comments() ) : ?>
<div class="blog-comments">
				<h2 class="comment">
				<?php
				printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'primax' ),
					number_format_i18n( get_comments_number() ), get_the_title() );
				?>
				</h2>
   
<div class="separator-small"></div>
	

	<div class="wrnavigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
	<ul class="media-list comment-list">
	<?php wp_list_comments('callback=primax_comment');?>
	</ul>
</div>
	
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php esc_attr_e('Comments are closed.','primax'); ?></p>

	<?php endif; ?>
<?php endif; ?>

<?php if ( comments_open() ) : ?>

<div id="respond" class="comment-respond">
<div class="block-form box-border comment-form-area">



<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<h2 class="comment"><?php printf(esc_attr__('You must be <a href="%s">logged in</a> to post a comment.','primax'), wp_login_url( get_permalink() )); ?></h2>
<?php else : ?>
<br> <br>
<div class="comment-form">
<form action="<?php echo esc_url(site_url()); ?>/wp-comments-post.php" method="post" id="post-comment-form" class="form quform form-overlay  comment-form-wrapper">
<h2 class="comment">
<?php if(!empty($primax_options['wr-say'])):?>
<?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('wr-say',''));?> :
<?php else:?>
<?php esc_attr_e('Say something!','primax');?>
<?php endif;?>

</h2>

<br>
<small><?php cancel_comment_reply_link() ?></small>
<br>

<?php if ( is_user_logged_in() ) : ?>

<h2 class="comment"><?php esc_attr_e('Logged in as ','primax'); ?> <?php printf(__('<a href="%1$s">%2$s</a>.','primax'), get_edit_user_link(), $user_identity); ?> <a href="<?php echo esc_url(wp_logout_url(get_permalink())); ?>" title="<?php esc_attr_e('Log out of this account','primax'); ?>"><?php esc_attr_e('Log out &raquo;','primax'); ?></a></h2>
<br>

<?php else : ?>

<div class="row">
<!-- Begin Text input element -->
<div class="col-sm-6 form-group">
<?php if(!empty($primax_options['wr-name'])):?>
<input  value="" class="form-control" placeholder="
<?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('wr-name',''));?><?php esc_attr_e('*','primax');?>"  type="text" name="author" id="author"  size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
<?php else: ?>
<input  value="" class="form-control" placeholder="
<?php esc_attr_e('Your Name*','primax');?>"  type="text" name="author" id="author"  size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
<?php endif;?>

</div> <!-- end .col-sm-6 -->

<div class="col-sm-6 form-group">
<?php if(!empty($primax_options['wr-email'])):?>
<input  value="" type="text" class="form-control" placeholder="<?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('wr-email',''));?><?php esc_attr_e('*','primax');?>" name="email" id="email" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
<?php else: ?>
<input  value="" type="text" class="form-control" placeholder="<?php esc_attr_e('Your Email*','primax');?>" name="email" id="email" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
<?php endif;?>
</div> <!-- end .col-sm-6 -->
</div>


<?php endif; ?>


<!-- Begin Textarea element -->
<div class="clear"></div>
<div class="row">
<div class="col-lg-12 form-group">
<?php if(!empty($primax_options['wr-comment'])):?>
<textarea class="form-control" rows="10" name="comment" id="comment" cols="30"  placeholder="<?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('wr-comment',''));?><?php esc_attr_e('*','primax');?>" tabindex="4" ></textarea>
<?php else: ?>
<textarea class="form-control" rows="10" name="comment" id="comment" cols="30"  placeholder="<?php esc_attr_e('Your Comment*','primax');?>" tabindex="4" ></textarea>
<?php endif; ?>
</div>
</div>

<!-- End Textarea element -->
<?php if(!empty($primax_options['wr-post'])):?>
<button class="button contact-btn" name="submit" type="submit" id="submit"  tabindex="5" value="" data-uk-scrollspy="{cls:'uk-animation-fade', delay:100}" ><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('wr-post',''));?> </button>
<?php else: ?>
<button class="btn sppb-btn-success pull-right" name="submit" type="submit" id="submit"  tabindex="5" value="" data-uk-scrollspy="{cls:'uk-animation-fade', delay:100}" ><?php esc_attr_e('Submit Comment','primax'); ?> </button>
<?php endif; ?>




<?php comment_id_fields(); ?>

<?php do_action('comment_form', $post->ID); ?>


</form>
</div>

<?php endif; // If registration required and not logged in ?>
</div>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>


	

</div><!-- .comments-area -->

