<?php $primax_options = get_option('primax'); ?>
<?php
global $primax_image, $primax_page_back;
 if (has_post_thumbnail( $post->ID ) ):
$primax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
$primax_page_back ='style=background-image:url('.$primax_image[0].');'
?>
<?php endif;?>
		<?php if($primax_options['headerstyle'] == 'st5') {?>
		<section id="breadcrumb" class="space breadcrumb-img" style="background-image: url(<?php echo esc_url(Primax_AfterSetupTheme::return_thme_option('header-blog-img-opt','url'));?>);">
		<div class="overlay-dark"></div>
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						
						<h2><?php single_month_title(' '); ?></h2>
						
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
							<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							<li class="active"><?php esc_attr_e('Archive','primax');?></li>
						    <li class="active"><?php single_month_title(' '); ?></li>
							
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } else { ?>
		
        <!--Breadcrumb-->
		<section id="breadcrumb" class="space">
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						
						<h2><?php single_month_title(' '); ?></h2>
						
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
						<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
						<li class="active"><?php esc_attr_e('Archive','primax');?></li>
						<li class="active"><?php single_month_title(' '); ?></li>
							
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } ?>
<section id="blog" class="space-100">
			<div class="container">
				<div class="row">
					<div class="col-sm-9 blog-base pull-left">
						<div class="col-sm-12 no-padding">
							<?php global $post, $post_id;?>
							<?php while ( have_posts() ) : the_post();?>
							
							<?php if( has_post_format( 'image' ) !='') :?>
							<?php get_template_part('template-parts/posttype/image');?>	
							<?php elseif( has_post_format( 'video' ) !='') :?>
							<?php get_template_part('template-parts/posttype/video');?>
							<?php elseif( has_post_format( 'gallery' ) !='') :?>
							<?php get_template_part('template-parts/posttype/gallery');?>
							<?php else :?>
							<?php get_template_part('template-parts/posttype/default');?>	
							<?php endif;?>
							
							<?php endwhile; ?>
				            <?php wp_reset_postdata();?>
						</div>
						
						<?php if (function_exists("primax_pagination")) {
						primax_pagination($wp_query->max_num_pages);
						} ?>
						
						
					</div>
					<aside class="col-sm-3 side-bar pull-right">
						<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
						<?php dynamic_sidebar( 'sidebar-1' ); ?>
						<?php endif; ?>
					</aside>
				</div>
			</div>
		</section>
