<?php
$output = $el_class = '';
extract(shortcode_atts(array(
	'el_class' => '',
	'row_type' => 'row',
	'use_as_box' => '',
	'type' => 'full_width',
	'anchor' => '',
	'text_align2' => '',
	'in_content_menu'=>'',
	'content_menu_title' => '',
	'content_menu_icon' => '',
	'video' => '',
	'video_overlay' => '',
	'video_overlay_image' => '',
	'quoverlay' => '',
	'quconlayout' => '',
	'qutitle' => '',
	'qusubtitle' => '',
	'qubackstyle' => '',
	'video_webm' => '',
	'video_mp4' => '',
	'video_ogv' => '',
	'video_image' => '',
	'background_color' => '',
	'section_height' => '',
    'parallax_speed' => '1',
	'background_image' => '',
	'border_color' => '',
	'padding_top' => '',
	'padding_bottom' => '',
	'side_padding' => '',
	'text_align' => 'left',
	'more_button_label' =>'More Facts',
	'less_button_label'=>'Less Facts',
	'button_position'=>'center',
	'color'=>'',
	'hover_color'=>'',
	'content_background_color' => '',
	'css_animation'=>'',
	'transition_delay'=>'',
	'halfshadow'=>'',
	'shadow_wr_color'=>'',
	'scrollid'=>'',
	'firenze_title'=>'',
	'firenze_shortcontent'=>'',
	'background_icon'=>'',
	'clifton_icon_width'=>'',
	'clifton_icon_height'=>'',
	'clifton_icon_top'=>'',
	'clifton_icon_left'=>'',
	'clifton_icon_mleft'=>'',
	'parallax_style'=>'',
	'ajax_style'=>'',
	'backgroundtype'=>'',
	'deoverlay'=>'',
	'vidurl'=>'',

), $atts));

wp_enqueue_style( 'js_composer_front' );
wp_enqueue_script( 'wpb_composer_front_js' );
wp_enqueue_style('js_composer_custom_css');





if($type == "grid"){
	$css_class_type =  " grid_section";
} else {
	$css_class_type =  "";
}

if($type == "grid"){
	$css_class_type_inner =  " section_inner";
} else {
	$css_class_type_inner =  " full_section_inner";
}

$css_class_video =  "";
if($video == "show_video"){
	$css_class_video =  " video_section";
}

$css_class_quoverlay =  "";
if($quoverlay == "qu_ov_def"){
	$css_class_quoverlay =  " qu-default";
}
 else if ($quoverlay == "qu_ov_dark"){
	$css_class_quoverlay =  "block-bg-banner";
}

 else if ($quoverlay == "qu_ov_light"){
	$css_class_quoverlay =  "light-overlay";
}

$css_class_qugrilayout =  "";
$css_class_qugrilayoutrow =  "";

if ($quconlayout == "qu_grid"){
	$css_class_qugrilayout =  "space bg-color border clear";
	$css_class_qugrilayoutrow =  "row";
}

else{
	$css_class_qugrilayout =  "space clear";
	$css_class_qugrilayoutrow =  "rows";
}

$css_class_qugrirow =  "";
if($quconlayout == "qu_full_width"){
	$css_class_qugrirow =  "qu-ful-width-section-row";
}
 else if ($quconlayout == "qu_grid"){
	$css_class_qugrirow =  "row";
}
else{
$css_class_qugrirow =  "row no-margin";
}

$css_show_wr_shadow_color =  "";
if($shadow_wr_color != ''){
$css_show_wr_shadow_color =  'style="background-color:'.$shadow_wr_color.'"';
} 
$css_show_wr_shadow =  "";
if($halfshadow == "yes"){
$css_show_wr_shadow =  '<div class="bg-50-l" '.$css_show_wr_shadow_color.'></div>';
} 


$css_class_in_content_menu =  "";
if($in_content_menu == "in_content_menu"){
	$css_class_in_content_menu =  " in_content_menu";
}

$_image ="";
if($background_image != '' || $background_image != ' ') { 
	$_image = wp_get_attachment_image_src( $background_image, 'full');
}

$overlay_image ="";
if($video_overlay_image != '' && $video_overlay_image != ' ') { 
	$overlay_image = wp_get_attachment_image_src( $video_overlay_image, 'full');
}

$_image_icon ="";
if($background_icon != '' || $background_image != ' ') { 
	$_image_icon = wp_get_attachment_image_src( $background_icon, 'full');
}

if($css_animation != ""){
	$clsss_css_animation =  "  " . $css_animation;
} else {
	$clsss_css_animation =  "";
}
$delay = "";
if($transition_delay != ""){
	$delay = " style='transition-delay:" . $transition_delay . "ms; animation-delay:" . $transition_delay . "ms; -webkit-animation-delay: " . $transition_delay . "ms'";
}
$anchor_id = "";
if($anchor != ""){
	$anchor_id = ' data-q_id="#'.$anchor.'"';
}

$menu_title = "";
if($content_menu_title != ""){
	$menu_title = ' data-q_title="'.$content_menu_title.'"';
}

$menu_icon = "";
if($content_menu_icon != ""){
	$menu_icon = ' data-q_icon="'.$content_menu_icon.'"';
}

$use_row_as_box_class="";
if($use_as_box == 'use_row_as_box'){
	$use_row_as_box_class = ' use_row_as_box';
}
$primax_parallax="";
if($backgroundtype == "st2"){
	$primax_parallax =  "back-flat";
} else {
	$primax_parallax =  "parallax wr-image";
}

$primax_overlay="";
if($deoverlay == "st2"){
	$primax_overlay =  "overlay";
} else {
	$primax_overlay =  "";
}

 if($row_type == 'qubackcolor'){
    $output .='<div class="clear"></div>';
	$output .='<div class="wr-section-opt section-padding '.$css_class_qugrilayout.'" style="';
	if($padding_top != ""){
					$output .=" padding-top:".$padding_top."px;";
				}
				if($padding_bottom != ""){
					$output .=" padding-bottom:".$padding_bottom."px;";
				}
	
	$output .='">';
	
	
	$output .='<div class="container">';
	
	
	if($firenze_title != ''){
	$output .='<div class=" col-sm-12 main-heading text-center animate-in move-up">';
			  
               $output .='<h3 class="title">'.$firenze_title.'</h3>';
			   
                $output .='</div>';
				}
		
				$output .='';
				$output .='<div class="row">';
				
	

}

else if($row_type == 'wrisotope'){
    $output .='<div class="clear"></div>';
    $output .='<div '.$anchor_id.' class="wr-section-opt space '.$primax_parallax.' '.$primax_overlay.'"  style = "';
	$output .= ($background_image !== '' || $background_image !== ' ') ? " background-image:url('" . $_image[0] . "'); background-size: cover;" : "";
	
    $output .= '"';
    $output .= '>';
   
	
	$output .='<div class="container clearfix">';
	if($firenze_title != ''){
	$output .='<div class=" col-sm-12 main-heading text-center animate-in move-up">';
			  
               $output .='<h3 class="title">'.$firenze_title.'</h3>';
			   
                $output .='</div>';
				}
	$output .='<div class="row">';
	
	
	

}

else if($row_type == 'wrfullwidth'){
    $output .='<div class="clear"></div>';
    $output .='<div '.$anchor_id.' class="wr-full-width wr-section-opt" ';
    $output .= '>';
  
}


else if($row_type == 'wrvideo'){
    $output .='<div class="clear"></div>';
    $output .='<div  class="space video-bg wr-section-opt" data-vide-mp4="'.$vidurl.'" ';
    $output .= '>';
    $output .= '<div class="video">
					<video autoplay="" loop="">
						<source src="'.$vidurl.'" type="video/mp4">
					</video>
				</div>';
	$output .= '<div class="container">';
	$output .= '<div class="row">';
  
}



 else if($row_type == 'content_menu'){
    $output .= '<nav class="content_menu"';
    if($background_color != ""){
        $output .= " style='background-color:".$background_color.";'";
    }
    $output .= '>';
    $output .= "<div class='nav_select_menu clearfix'><div class='nav_select_button'><i class='fa fa-bars'></i></div></div>";
}

else {
$output .='<div class="clear"></div>';
	$output .='<div class="wr-section-opt section-padding '.$css_class_qugrilayout.'" style="';
	if($padding_top != ""){
					$output .=" padding-top:".$padding_top."px;";
				}
				if($padding_bottom != ""){
					$output .=" padding-bottom:".$padding_bottom."px;";
				}
	
	$output .='">';
	
	
	$output .='<div class="container">';
	
	
	if($firenze_title != ''){
	$output .='<div class=" col-sm-12 main-heading text-center animate-in move-up">';
			  
               $output .='<h3 class="title">'.$firenze_title.'</h3>';
			   
                $output .='</div>';
				}
		
				$output .='';
				$output .='<div class="row">';
			

}

if($row_type != 'content_menu'){
	$output .= wpb_js_remove_wpautop($content);
}
if($row_type == 'qubackcolor'){
	$output .= '</div></div></div>'.$this->endBlockComment('row');
}
elseif($row_type == 'wrisotope'){
	$output .= '</div></div></div>'.$this->endBlockComment('row');
}
elseif($row_type == 'wrfullwidth'){
	$output .= '</div>'.$this->endBlockComment('row');
}
elseif($row_type == 'wrvideo'){
	$output .= '</div></div></div>'.$this->endBlockComment('row');
}
else if($row_type == 'content_menu'){
	$output .= '</nav>';
}
else {
$output .= '</div></div></div>'.$this->endBlockComment('row');
}
echo $output;