<?php $primax_options = get_option('primax'); ?>
<?php
/*Template Name:Coming Soon Page Template*/
 get_template_part('coming-header');
 ?>
 
 <?php
global $primax_image, $primax_page_back;
 if (has_post_thumbnail( $post->ID ) ):
$primax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
$primax_page_back ='style=background-image:url('.$primax_image[0].');'
?>
<?php endif;?>
 
 <!--Under construction-->
<section id="comingsoon" class="screen-height center" <?php echo esc_attr($primax_page_back);?>>
	<div class="container">
		<div class="row">
			<div class="col-sm-12 soon-block text-center">
				                <?php if ($primax_options['textlogo']=="st2") {?>
								<h1 class="logo"><a href="<?php echo esc_url(home_url( '/' )); ?>"><img src="<?php echo esc_url(Primax_AfterSetupTheme::return_thme_option('logopic','url'));?>" title="" class="sp-default-logo" alt=""></a></h1>
								<?php }
								else{ ?>
								<?php if(!empty($primax_options['logotext'])):?>
									<h1 class="logo"><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('logotext',''));?></a></h1>
								<?php else:?>
									<h1 class="logo"><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_attr_e('Primax','primax');?></a></h1>
								 <?php endif;?>
						    <?php } ;?>
				<?php if(!empty($primax_options['comingcoundowntitle'])):?>
				<h2 class="title"><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('comingcoundowntitle',''));?></h2>
				<?php endif;?>
				<?php if(!empty($primax_options['comingcoundowncontent'])):?>
				<h4 class="sub-title"><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('comingcoundowncontent',''));?></h4>
				<?php endif;?>
				<div id="countdown_2" class="countdown"></div>
				<ul class="social-icons">
					 <?php if(!empty($primax_options['facebook'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['facebook']);?>"><i class="fa fa-facebook"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['twitter'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['twitter']);?>"><i class="fa fa-twitter"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['pinterest'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['pinterest']);?>"><i class="fa fa-pinterest"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['dribbble'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['dribbble']);?>"><i class="fa fa-dribbble"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['behance'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['behance']);?>"><i class="fa fa-behance"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['gplus'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['gplus']);?>"><i class="fa fa-google-plus"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['linkedin'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['linkedin']);?>"><i class="fa fa-linkedin"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['youtube'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['youtube']);?>"><i class="fa fa-youtube"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['vimeo'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['vimeo']);?>"><i class="fa fa-vimeo"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['slack'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['slack']);?>"><i class="fa fa-slack"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['instagram'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['instagram']);?>"><i class="fa fa-instagram"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['tumblr'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['tumblr']);?>"><i class="fa fa-tumblr"></i></a></li>
									<?php endif;?>
				</ul>
			</div>
		</div>
	</div>
</section>
 
<?php get_template_part('coming-footer');?>	