<?php

if( !function_exists ('primax_enqueue_scripts') ) :
	function primax_enqueue_scripts() {
	global $primax_event_array, $primax_coming_array;
	$primax_options = get_option('primax');
	
	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/includes/js/bootstrap.js', array('jquery'), '1.0',true);
	wp_enqueue_script('appear', get_template_directory_uri() . '/includes/js/appear.js', array('jquery'), '1.0',true);
	wp_enqueue_script('primax-parallax', get_template_directory_uri() . '/includes/js/jquery.parallax-1.1.3.js', array('jquery'), '1.0',true);
	//wp_enqueue_script('smoothscroll', get_template_directory_uri() . '/includes/js/smoothscroll.js', array('jquery'), '1.0',true);
	wp_enqueue_script('owl-carousel', get_template_directory_uri() . '/includes/js/owl.carousel.js', array('jquery'), '1.0',true);
	wp_enqueue_script('spsimpleportfolio', get_template_directory_uri() . '/includes/js/spsimpleportfolio.js', array('jquery'), '1.0',true);
	wp_enqueue_script('featherlight', get_template_directory_uri() . '/includes/js/featherlight.min.js', array('jquery'), '1.0',true);
	wp_enqueue_script('primax-shuffle', get_template_directory_uri() . '/includes/js/jquery.shuffle.modernizr.min.js', array('jquery'), '1.0',true);
	wp_enqueue_script('primax-morphext', get_template_directory_uri() . '/includes/js/morphext.min.js', array('jquery'), '1.0',true);
	wp_enqueue_script('count-down', get_template_directory_uri() . '/includes/js/count-down.js', array('jquery'), '1.0',true);
	wp_enqueue_script('primax-jquery.share', get_template_directory_uri() . '/includes/js/jquery.share.js', array('jquery'), '1.0',true);
	wp_enqueue_script('primax-main', get_template_directory_uri() . '/includes/js/main.js', array('jquery'), '1.0',true);
	if(!empty($primax_options['eventcoundown'])){
	if(isset($primax_options['eventcoundown'])){ $primax_event_array = array( 'some_string1' => ( $primax_options['eventcoundown'] ), 'a_value' => '30' ); }
	wp_enqueue_script('primax-event', get_template_directory_uri() . '/includes/js/event-countdown.js', array('jquery'), '1.0',true);
	wp_localize_script( 'primax-event', 'object_name1', $primax_event_array );
	}
	
	if(!empty($primax_options['comingcoundown'])){
	if(isset($primax_options['comingcoundown'])){ $primax_coming_array = array( 'some_string2' => ( $primax_options['comingcoundown'] ), 'a_value' => '30' ); }
	wp_enqueue_script('primax-coming-soon', get_template_directory_uri() . '/includes/js/coming-coundown.js', array('jquery'), '1.0',true);
	wp_localize_script( 'primax-coming-soon', 'object_name2', $primax_coming_array );
	}
	
	
	
	
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
	}
}
	add_action('wp_enqueue_scripts', 'primax_enqueue_scripts');
endif;