<?php
global $primax_options;
$primax_options = get_option('primax');
function primax_style() {
//home
wp_enqueue_style('primax-main', get_template_directory_uri() . '/style.css');
wp_enqueue_style('bootstrap', get_template_directory_uri() . '/includes/css/bootstrap.css');
wp_enqueue_style('font-awesome', get_template_directory_uri() . '/includes/css/font-awesome.min.css');
wp_enqueue_style('primax-et-line', get_template_directory_uri() . '/includes/css/et-line.css');
wp_enqueue_style('themefy-icon', get_template_directory_uri() . '/includes/css/themefy-icon.css');
wp_enqueue_style('animate', get_template_directory_uri() . '/includes/css/animate.min.css');
//wp_enqueue_style('primax-settings', get_template_directory_uri() . '/includes/css/settings.css');
wp_enqueue_style('primax-dynamic-captions', get_template_directory_uri() . '/includes/css/dynamic-captions.css');
wp_enqueue_style('primax-static-captions', get_template_directory_uri() . '/includes/css/static-captions.css');
wp_enqueue_style('owl.carousel', get_template_directory_uri() . '/includes/css/owl.carousel.css');
wp_enqueue_style('owl.theme', get_template_directory_uri() . '/includes/css/owl.theme.css');
wp_enqueue_style('owl.transitions', get_template_directory_uri() . '/includes/css/owl.transitions.css');
wp_enqueue_style('spsimpleportfolio', get_template_directory_uri() . '/includes/css/spsimpleportfolio.css');
wp_enqueue_style('featherlight', get_template_directory_uri() . '/includes/css/featherlight.min.css');
wp_enqueue_style('sp-flickr-gallery', get_template_directory_uri() . '/includes/css/sp-flickr-gallery.css');
wp_enqueue_style('primax-style', get_template_directory_uri() . '/includes/css/style.css');
wp_enqueue_style('primax-blue-layout', get_template_directory_uri() . '/includes/css/skins/blue-layout.css');
}
add_action('wp_enqueue_scripts', 'primax_style');

function primax_fonts_url() {
    $primax_font_url = '';
    
    if ( 'off' !== _x( 'on', 'Montserrat font: on or off', 'primax' ) ) {
        $primax_font_url = add_query_arg( 'family','Montserrat:400,700|Open+Sans:300,400,600,700,800|Poppins:400,500,600,700' , "//fonts.googleapis.com/css" );
    }
    return $primax_font_url;
}

function primax_scripts() {
    wp_enqueue_style( 'primax_fonts', primax_fonts_url(), array(), '1.0.0' );
}
add_action( 'wp_enqueue_scripts', 'primax_scripts' );

function primax_enqueue_custom_admin_style() {
wp_register_style( 'custom_wp_admin_css', get_template_directory_uri() . '/includes/css/admin-style.css', false, '1.0.0' );
wp_enqueue_style( 'custom_wp_admin_css' );
}
add_action( 'admin_enqueue_scripts', 'primax_enqueue_custom_admin_style' );