<?php $primax_options = get_option('primax'); ?>
<?php get_header();?>
<div class="inner">
<?php
global $primax_image, $primax_page_back;
 if (has_post_thumbnail( $post->ID ) ):
$primax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
$primax_page_back ='style=background-image:url('.$primax_image[0].');'
?>
<?php endif;?>
		<?php if($primax_options['headerstyle'] == 'st5') {?>
		<section id="breadcrumb" class="space breadcrumb-img" <?php echo esc_attr($primax_page_back);?>>
		<div class="overlay-dark"></div>
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						<h2><?php the_title();?></h2>
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
							<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							<li class="active"><?php the_title();?></li>
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } else { ?>
		
        <!--Breadcrumb-->
		<section id="breadcrumb" class="space">
			<div class="container">
				<div class="row">
					<div class="col-sm-6 breadcrumb-block">
						<h2><?php the_title();?></h2>
					</div>
					<div class="col-sm-6 breadcrumb-block text-right">
						<ol class="breadcrumb">
							<li><span><?php esc_attr_e('You are here: ','primax');?></span><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></li>
							<li class="active"><?php the_title();?></li>
						</ol>
					</div>
				</div>
			</div>
		</section>
		<?php } ?>
		
		<section id="blog" class="space-100 single">
			<div class="container">
				<div class="row">
					<div class="col-sm-12 blog-base">
						<div class="col-sm-12 no-padding">
							<article class="col-sm-12 no-padding blog-block">
							<?php if(get_post_meta($post->ID,'rnr_wr_portdt_pagetype',true)=='st2'){ ?>
							<div id="cont-slider" class="owl-theme owl-carousel">
								<?php $primax_images = rwmb_meta( 'rnr_portfolio-image','type=image&size=' );
															foreach ( $primax_images as $primax_image ){
																echo "<div class='item'>
														<img src='{$primax_image['url']}' alt='' />
													</div>
													   ";
														 };?>
								
							</div>
							<?php } else if(get_post_meta($post->ID,'rnr_wr_portdt_pagetype',true)=='st3'){ ?>
							<?php if(get_post_meta($post->ID,'rnr_bl-port-video',true)):?>
							<div class="entry-video embed-responsive">
							<iframe width="800" height="500" src="<?php echo esc_url(get_post_meta($post->ID,'rnr_bl-port-video',true));?>" frameborder="0" allowfullscreen></iframe>
							</div>
							<?php endif;?>
							<?php }
							else  { ?>
								<img src="<?php echo esc_url($primax_image[0]);?>" alt="<?php the_title();?>">
							<?php }?>
								<div class="blog-content">
									
									<div class="portfolio-details">
										<h2><?php the_title();?></h2>
										<ul class="meta">
											
											
											<li data-toggle="tooltip" data-placement="top" title="" data-original-title="">
												<i class="fa fa-calendar-o"></i><?php the_time( get_option( 'date_format' ) ); ?>
											</li>
										</ul>
									</div>
									<?php if(have_posts()) : while ( have_posts() ) : the_post();?>
									<?php the_content();?>
									<?php endwhile;  endif; wp_reset_postdata(); ?>
									<div class="col-sm-12 no-padding visiter-area">
										<div class="rating col-sm-6 no-padding">
											
										</div>
										<div class="col-sm-6 text-right">
											
											<ul class="share-container socials"  data-share="['facebook','pinterest','googleplus','twitter','linkedin']">
													
									</ul>
										</div>
									</div>
								</div>
							</article>
						</div>
					</div>
				</div>
			</div>
		</section>
</div>
<?php get_footer(); ?>	