<?php $primax_options = get_option('primax'); ?>
<div class="wrapper off-canvas-menu-wrap">
<div class="body-innerwrapper">
<!--Top bar-->
		<div id="topbar">
			<div class="container">
				<div class="row">
					<div class="col-sm-12 text-right topbar-block">
						<ul class="sp-contact-info">
							<?php if(!empty($primax_options['priphnnum'])):?>
                                    <li class="sp-contact-phone">
									<i class="fa <?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priphnicon',''));?>"></i>&nbsp; <?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priphntitle',''));?>: &nbsp;<a href="#"><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priphnnum',''));?></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['priemailnum'])):?>
                                    <li class="sp-contact-email"><i class="fa <?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priemailicon',''));?>"></i>&nbsp; <?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priemailtitle',''));?>:&nbsp; <a href="mailto:<?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priemailnum',''));?>"><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('priemailnum',''));?></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['pritimenum'])):?>
                                    <li class="sp-contact-time"><i class="fa <?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('pritimeicon',''));?>"></i>&nbsp; <?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('pritimetitle',''));?>: &nbsp;<a><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('pritimenum',''));?></a></li>
									<?php endif;?>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<!--Header-->
		<header id="sp-header" class="menu-fixed-out header-3 pri-wr-menu" data-spy="affix" data-offset-top="50">
			<div class="container">
				<div class="row">
					<div id="sp-logo" class="col-xs-8 col-sm-2 col-md-2">
						<?php if ($primax_options['textlogo']=="st2") {?>
								<div class="logo"><a href="<?php echo esc_url(home_url( '/' )); ?>"><img src="<?php echo esc_url(Primax_AfterSetupTheme::return_thme_option('logopic','url'));?>" title="" class="sp-default-logo" alt=""></a></div>
								<?php }
								else{ ?>
								<?php if(!empty($primax_options['logotext'])):?>
									<h1 class="logo"><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php echo esc_attr(Primax_AfterSetupTheme::return_thme_option('logotext',''));?></a></h1>
								<?php else:?>
									<h1 class="logo"><a href="<?php echo esc_url(home_url( '/' )); ?>"><?php  bloginfo('name'); ?></a></h1>
								 <?php endif;?>
						    <?php } ;?>
					</div>
					<div id="sp-menu" class="col-xs-4 col-sm-8 col-md-8">
						<div class="sp-column ">
							<div class="sp-megamenu-wrapper">
								<a id="offcanvas-toggler" class="visible-sm visible-xs" href="#"><i class="fa fa-bars"></i></a>
								<ul class="sp-megamenu-parent menu-slide-down hidden-sm hidden-xs">
									<?php

										$defaults = array(
													'theme_location'  => 'top-menu',
													'menu'            => 'nav',
													'container'       => '',
													'container_class' => '',
													'menu_class'      => 'navbar-main-menu',
													'menu_id'         => '',
													'echo'            => true,
													'fallback_cb'     => 'wp_page_menu',
													'before'          => '',
													'after'           => '',
													'link_before'     => '',
													'link_after'      => '',
													'items_wrap'      => '%3$s',
													'depth'           => 0,
													
														);
								if(has_nav_menu('top-menu')) {
														wp_nav_menu( $defaults );
								}
										  else {
											echo '<li><a>No menu assigned!</a></li>';
										  }
														?>
								<?php if (class_exists('WooCommerce')) { ?>
								<li><a href="<?php echo WC()->cart->get_cart_url(); ?>"><i class="ti-shopping-cart"></i></a></li>
								<?php } ?>
								</ul>
							</div>
						</div>
					</div>
					<div class="sp-column col-sm-2 col-xs-12  social-one social-two">
						<ul class="social-icons">
							 <?php if(!empty($primax_options['facebook'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['facebook']);?>"><i class="fa fa-facebook"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['twitter'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['twitter']);?>"><i class="fa fa-twitter"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['pinterest'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['pinterest']);?>"><i class="fa fa-pinterest"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['dribbble'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['dribbble']);?>"><i class="fa fa-dribbble"></i></a></li>
									<?php endif;?>
									<?php if(!empty($primax_options['behance'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['behance']);?>"><i class="fa fa-behance"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['gplus'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['gplus']);?>"><i class="fa fa-google-plus"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['linkedin'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['linkedin']);?>"><i class="fa fa-linkedin"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['youtube'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['youtube']);?>"><i class="fa fa-youtube"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['vimeo'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['vimeo']);?>"><i class="fa fa-vimeo"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['slack'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['slack']);?>"><i class="fa fa-slack"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['instagram'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['instagram']);?>"><i class="fa fa-instagram"></i></a></li>
									<?php endif;?>
									
									<?php if(!empty($primax_options['tumblr'])):?>
                                    <li><a target="_blank" href="<?php echo esc_url($primax_options['tumblr']);?>"><i class="fa fa-tumblr"></i></a></li>
									<?php endif;?>
						</ul>
					</div>
				</div>
			</div>
	</header>	