<article class="col-sm-12 no-padding blog-block">
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if (has_post_thumbnail( $post->ID ) ):
	$primax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );?>
	<a href="<?php the_permalink();?>">
	<img alt="" src="<?php echo esc_url($primax_image[0]);?>" class="img-responsive" />
	</a>
	<?php endif;?>
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
	<div class="blog-content">
	<?php else: ?>
	<div class="blog-content wr-blog-content">
	<?php endif;?>
		<div class="icon pull-left">
			<i class="fa fa-file-text-o"></i>
		</div>
	<div class="blog-info">
	<h2><a href="<?php the_permalink();?>"><?php the_title();?></a> </h2>
		<ul class="meta">
			<li data-toggle="tooltip" data-placement="top" title="" data-original-title="">
				<i class="fa fa-user"></i><?php the_author();?>
			</li>
			<?php if( has_category() ) {?>
			<li>
				<a data-toggle="tooltip" data-placement="top" title="" href="#" data-original-title="">
				<i class="fa fa-folder-open-o"></i></a><?php the_category(', ');?>
			</li>
			<?php }?>
			<li data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php esc_attr_e('Published date','primax');?>">
				<i class="fa fa-calendar-o"></i><?php the_time( get_option( 'date_format' ) ); ?>
			</li>
			
			<?php if( has_tag() ) {?>
			<li>
				<a data-toggle="tooltip" data-placement="top" title="" href="#" data-original-title="">
				<i class="fa fa-tag"></i></a><?php the_tags(''); ?>
			</li>
			<?php }?>
			
			<li data-toggle="tooltip" data-placement="top" title="" data-original-title="">
			<i class="fa fa-comment"></i><?php echo esc_attr(comments_number( '0 Comment', '1 Comment', '% Comments' )); ?>
			</li>
		</ul>
		
	</div>
		<?php the_content();
			wp_link_pages( array(
			'before'      => '<div class="page-links">',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '%',
			'separator'   => '',
			) );
			?>
	</div>
	</div>
</article>				